<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.flossom.common.core.mapper.WxOtherSettingMapper">
    
    <resultMap type="WxOtherSetting" id="WxOtherSettingResult">
        <result property="id"    column="id"    />
        <result property="skipAppid"    column="skip_appid"    />
        <result property="skipPath"    column="skip_path"    />
        <result property="sysVersion"    column="sys_version"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectWxOtherSettingVo">
        select id, skip_appid, skip_path, sys_version, status, create_by, create_time, update_by, update_time, remark from wx_other_setting
    </sql>

    <select id="selectWxOtherSettingList" parameterType="WxOtherSetting" resultMap="WxOtherSettingResult">
        <include refid="selectWxOtherSettingVo"/>
        <where>  
            <if test="skipAppid != null  and skipAppid != ''"> and skip_appid = #{skipAppid}</if>
            <if test="skipPath != null  and skipPath != ''"> and skip_path = #{skipPath}</if>
            <if test="sysVersion != null  and sysVersion != ''"> and sys_version = #{sysVersion}</if>
            <if test="status != null "> and status = #{status}</if>
        </where>
    </select>
    
    <select id="selectWxOtherSettingById" parameterType="Long" resultMap="WxOtherSettingResult">
        <include refid="selectWxOtherSettingVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertWxOtherSetting" parameterType="WxOtherSetting">
        insert into wx_other_setting
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="skipAppid != null">skip_appid,</if>
            <if test="skipPath != null">skip_path,</if>
            <if test="sysVersion != null">sys_version,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="skipAppid != null">#{skipAppid},</if>
            <if test="skipPath != null">#{skipPath},</if>
            <if test="sysVersion != null">#{sysVersion},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateWxOtherSetting" parameterType="WxOtherSetting">
        update wx_other_setting
        <trim prefix="SET" suffixOverrides=",">
            <if test="skipAppid != null">skip_appid = #{skipAppid},</if>
            <if test="skipPath != null">skip_path = #{skipPath},</if>
            <if test="sysVersion != null">sys_version = #{sysVersion},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteWxOtherSettingById" parameterType="Long">
        delete from wx_other_setting where id = #{id}
    </delete>

    <delete id="deleteWxOtherSettingByIds" parameterType="String">
        delete from wx_other_setting where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>